package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.List;

@ApiModel
public class MaterialInventoryDTO {
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("原料明细id")
   private @Valid List<MaterialInventoryDetailDTO> detailList;

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public List<MaterialInventoryDetailDTO> getDetailList() {
      return this.detailList;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setDetailList(final List<MaterialInventoryDetailDTO> detailList) {
      this.detailList = detailList;
   }

}
